%global collection_namespace community
%global collection_name docker
%global forgeurl https://github.com/ansible-collections/%{collection_namespace}.%{collection_name}

# Tests are excluded, for now.
%bcond_with     tests

# Docs are not built, for now.
%bcond_with     docs

Name:           ansible-collection-%{collection_namespace}-%{collection_name}
Version:        2.0.2
%global tag     %{version}
%forgemeta
Release:        1%{?dist}
Summary:        Ansible modules and plugins for working with Docker

License:        GPLv3+
URL:            %{ansible_collection_url}
Source0:        %{forgesource}
Source1:        %{name}.rpmlintrc

# Prefer ansible-core
# BuildRequires:  (ansible-core >= 2.11.0 or ansible >= 2.9.10)
BuildRequires:  ansible-core >= 2.11.0

BuildArch:      noarch


%description
%{name} provides the %{collection_namespace}.%{collection_name}
Ansible collection. The collection includes Ansible modules and plugins for
working with Docker.


%prep
%forgeautosetup

find -type f -name '.gitignore' -print -delete
rm -vr .github .azure-pipelines changelogs/fragments/.keep %{!?with_tests:tests} %{!?with_docs:docs}


%build
%ansible_collection_build


%install
%ansible_collection_install


%check


%files
%license COPYING
%doc README.md CHANGELOG.rst
%{ansible_collection_files}


# I am not using %%autochangelog, because I don't like it.
%changelog
* Thu Dec 16 2021 Maxwell G <gotmax@e.email> - 2.0.2-1
- Update to 2.0.2.

* Thu Dec 02 2021 Maxwell G <gotmax@e.email> - 2.0.1-1
- Initial package
